<?php


///
$NomARC = "P2021012800019";

// define las variables
$local_file = 'C:/Labels_Logsys_Wms/Pallet/'.$NomARC.'.zpl';  //fichero local
$server_file = 'wicore.cloudlogsyswms.com/wms/Labels_v2/FTP_Labels/Pallet/'.$NomARC.'.zpl';  //fichero remoto
$ftp_server="wicore.cloudlogsyswms.com";  //servidor ftp
$ftp_user_name="ftp_labels";       //user ftp
$ftp_user_pass="xsrP64_4";    //pass ftp
 
$conn_id = ftp_connect($ftp_server); //creando la conexión
 
// login 
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
 
// descargando el fichero y guardandole en local
if (ftp_get($conn_id, $local_file, $server_file, FTP_BINARY)) {
    echo "Yeah! el fichero se ha descargado máquina! $local_file\n";
}
else {
    echo "oooo, sigue probando, ha habido algun fallo \n";
}
// cierra la conexion
ftp_close($conn_id);

?>